Add extra logging for the ONS 2016 S3 demo
Change-Id: I716262972b9d16cce7b9d2f0922d3ff1c823a4f7
diff --git a/TestON/bin/demo-summary b/TestON/bin/demo-summary
new file mode 100755
index 0000000..2f90a55
--- /dev/null
+++ b/TestON/bin/demo-summary
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e -o pipefail
+
+if [ "$#" -lt 1 ]; then
+ file="DemoCode"
+elif [ "$1" = "-s" ]; then
+ file="DemoSummary"
+else
+ printf "usage: $(basename $0) [options]\n\n"
+ printf "Simple command to print the latest test summary file.\n"
+ printf "\noptions:\n\t--help : Displays this message and exits\n"
+ printf "\t-f : Tails the summary file and updates as the file is written to.\n\n"
+ exit 1
+fi
+ls -t ~/OnosSystemTest/TestON/logs/*/*${file}.txt | head -1 | xargs tail -n+1 -f
+exit 0